Package Gnumed :: Package wxpython :: Module gmGuiHelpers :: Class c3ButtonQuestionDlg |
[frames] | no frames]

# Class c3ButtonQuestionDlg

source code

                                                 wx.Dialog --+
                                                             |
    wxGladeWidgets.wxg3ButtonQuestionDlg.wxg3ButtonQuestionDlg --+
                                                                 |
                                                                c3ButtonQuestionDlg

Instance Methods
__init__(self, *args, **kwargs) Initialize. | source code
checkbox_is_checked(self) | source code

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
    Initialize.

    button_defs = [
            # tooltip and default are optional
            {'label': _(''), 'tooltip': _(''), 'default': True/False},
            {'label': _(''), 'tooltip': _(''), 'default': True/False},
            {'label': _(''), 'tooltip': _(''), 'default': True/False}
    ]
Overrides: wxGladeWidgets.wxg3ButtonQuestionDlg.wxg3ButtonQuestionDlg.__init__